Проблемы с интерфейсом после установки GNOME

Руководства, вопросы, обсуждения
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
arengorman
Сообщения: 7
Зарегистрирован: 23 фев 2018, 15:59
Благодарил (а): 1 раз

Проблемы с интерфейсом после установки GNOME

Сообщение arengorman » 15 авг 2018, 09:50

1. Linux Mint 18.3 64bit
2. Cinnamon, GNOME, mate
3.
System:    Host: fx08 Kernel: 4.15.0-30-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Cinnamon 3.6.7 (Gtk 3.20.8-1ubuntu0~ppa1) Distro: Linux Mint 18.3 Sylvia
Machine:   Mobo: Intel model: DH67BL v: AAG10189-207
           Bios: Intel v: BLH6710H.86A.0105.2011.0301.1654 date: 03/01/2011
CPU:       Quad core Intel Core i7-2600 (-HT-MCP-) cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 27136
           clock speeds: max: 3800 MHz 1: 1596 MHz 2: 1596 MHz 3: 1596 MHz 4: 1596 MHz 5: 1596 MHz 6: 1596 MHz
           7: 1596 MHz 8: 1596 MHz
Graphics:  Card: NVIDIA GK106 [GeForce GTX 660] bus-ID: 01:00.0
           Display Server: X.Org 1.18.4 drivers: nvidia (unloaded: fbdev,vesa,nouveau)
           Resolution: 2560x1440@59.95hz
           GLX Renderer: GeForce GTX 660/PCIe/SSE2 GLX Version: 4.5.0 NVIDIA 384.130 Direct Rendering: Yes
Audio:     Card-1 NVIDIA GK106 HDMI Audio Controller driver: snd_hda_intel bus-ID: 01:00.1
           Card-2 Intel 6 Series/C200 Series Family High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Sound: Advanced Linux Sound Architecture v: k4.15.0-30-generic
Network:   Card: Intel 82579V Gigabit Network Connection driver: e1000e v: 3.2.6-k port: f040 bus-ID: 00:19.0
           IF: eno1 state: up speed: 100 Mbps duplex: full mac: <filter>
Drives:    HDD Total Size: 250.1GB (22.2% used) ID-1: /dev/sda model: ST3250820AS size: 250.1GB
Partition: ID-1: / size: 198G used: 22G (12%) fs: ext4 dev: /dev/sda1
           ID-2: swap-1 size: 34.33GB used: 0.01GB (0%) fs: swap dev: /dev/sda5
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 44.0C mobo: N/A gpu: 0.0:44C
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 298 Uptime: 5 days Memory: 5271.7/32146.1MB Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (zsh 5.1.1) inxi: 2.2.35
4. Свежая установка минта, Cinnamon версия. Сдуру поставил GNOME, поплевался - удалил. Ставил 20ю версию, из репозитория

Код: Выделить всё

sudo add-apt-repository ppa:gnome3-team/gnome3-staging
sudo add-apt-repository ppa:gnome3-team/gnome3
sudo apt update
sudo apt dist-upgrade
sudo apt install gnome gnome-shell
Плюс еще отдельно поставил gdm, ибо с репозитория остался lightdm и мне придурку это показалось неправильным)

Код: Выделить всё

sudo apt install gdm
Так вот после удаления и gnome-shell и gdm в родном Cinnamon поехал весь интерфейс, в основном отступы и цвета некоторых элементов-кнопок. Скриншот:
Screenshot from 2018-08-15 12-32-11.png
Хочу починить без переустановки. Переставлять cinnamon пробовал.
Также пробовал поставить mate, но вот такая зависимость поломалась:

Код: Выделить всё

fx08% sudo apt install mate-desktop-environment   
[sudo] password for rum: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mate-desktop-environment : Depends: mint-meta-mate but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
fx08% sudo apt install mint-meta-mate                                                                     
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mint-meta-mate : Depends: mintdesktop but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
fx08% sudo apt install mintdesktop
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mintdesktop : Depends: dconf-cli but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
fx08% sudo apt install dconf-cli
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 dconf-cli : Depends: libdconf1 (= 0.24.0-2) but 0.26.0-1~xenial0 is to be installed
E: Unable to correct problems, you have held broken packages.
Прошу знающих людей помочь разобраться и исправить собственные ошибки.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Dja
Сообщения: 6224
Зарегистрирован: 27 авг 2016, 17:03
Решено: 27
Откуда: Voskresensk
Благодарил (а): 921 раз
Поблагодарили: 661 раз

Проблемы с интерфейсом после установки GNOME

Сообщение Dja » 15 авг 2018, 10:38

Снимка разумеется нет?

Аватара пользователя

Chocobo
Сообщения: 9268
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 645 раз
Поблагодарили: 2677 раз

Проблемы с интерфейсом после установки GNOME

Сообщение Chocobo » 15 авг 2018, 10:42

arengorman писал(а):
15 авг 2018, 09:50
The following packages have unmet dependencies: dconf-cli : Depends: libdconf1 (= 0.24.0-2) but 0.26.0-1~xenial0 is to be installe
С них и начинай.
apt policy dconf-cli libdconf1 mintdesktop
Посмотрим.

А корица с гномом исторически рядом не уживалась обычно)
Изображение
   
Изображение

Аватара пользователя

di_mok
Сообщения: 5013
Зарегистрирован: 27 авг 2016, 16:06
Решено: 31
Откуда: Арзамас
Благодарил (а): 1294 раза
Поблагодарили: 1079 раз

Проблемы с интерфейсом после установки GNOME

Сообщение di_mok » 15 авг 2018, 10:45

arengorman, создай нового пользователя и посмотри - там тоже косорылит?
Настоящая водка — это не пьянство, а ключ к своей совести, с нее-то и начинается настоящая мудрость. (c)
Изображение
Изображение

Аватара пользователя

Dja
Сообщения: 6224
Зарегистрирован: 27 авг 2016, 17:03
Решено: 27
Откуда: Voskresensk
Благодарил (а): 921 раз
Поблагодарили: 661 раз

Проблемы с интерфейсом после установки GNOME

Сообщение Dja » 15 авг 2018, 11:03

Cinnamon гномоподобный. Неудивительно, что после сноса гнома его перекосило :hoho: Надо было по журналу Apt'a сносить гном аккуратненько.


Автор темы
arengorman
Сообщения: 7
Зарегистрирован: 23 фев 2018, 15:59
Благодарил (а): 1 раз

Проблемы с интерфейсом после установки GNOME

Сообщение arengorman » 15 авг 2018, 12:07

Dja писал(а):
15 авг 2018, 10:38
Снимка разумеется нет?
Нет
Chocobo писал(а):
15 авг 2018, 10:42
С них и начинай.
apt policy dconf-cli libdconf1 mintdesktop
Спасибо, вот вывод:

Код: Выделить всё

fx08% sudo apt policy dconf-cli libdconf1 mintdesktop 
[sudo] password for rum: 
dconf-cli:
  Installed: (none)
  Candidate: 0.24.0-2
  Version table:
     0.24.0-2 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
libdconf1:
  Installed: 0.26.0-1~xenial0
  Candidate: 0.26.0-1~xenial0
  Version table:
 *** 0.26.0-1~xenial0 100
        100 /var/lib/dpkg/status
     0.24.0-2 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
mintdesktop:
  Installed: (none)
  Candidate: 3.5.7
  Version table:
     3.5.7 500
        500 http://packages.linuxmint.com sylvia/main amd64 Packages
        500 http://packages.linuxmint.com sylvia/main i386 Packages
Попытался поставить версию libdconf1 требуемую mate, вот что вышло:

Код: Выделить всё

fx08% sudo apt install libdconf1=0.24.0-2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 librest-0.7-0 : Depends: libsoup-gnome2.4-1 (>= 2.27.4) but it is not going to be installed
                 Depends: libsoup2.4-1 (>= 2.30) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
di_mok писал(а):
15 авг 2018, 10:45
arengorman, создай нового пользователя и посмотри - там тоже косорылит?
Попробовал, проблема к сожалению не в юзере и его конфигах.
Dja писал(а):Надо было по журналу Apt'a сносить гном аккуратненько.
По /var/log/dpkg.log ?

Аватара пользователя

Chocobo
Сообщения: 9268
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 645 раз
Поблагодарили: 2677 раз

Проблемы с интерфейсом после установки GNOME

Сообщение Chocobo » 15 авг 2018, 12:43

arengorman писал(а):
15 авг 2018, 12:07
libdconf1: Installed: 0.26.0-1~xenial0 Candidate: 0.26.0-1~xenial0 Version table: *** 0.26.0-1~xenial0 100 100 /var/lib/dpkg/status
он поставлен либо с пакета вручную, либо с удаленного уже некоего репа.
Поэтому - apt install libdconf1=0.24.0-2, и этот конфликт должен рассосаться.
Изображение
   
Изображение


Автор темы
arengorman
Сообщения: 7
Зарегистрирован: 23 фев 2018, 15:59
Благодарил (а): 1 раз

Проблемы с интерфейсом после установки GNOME

Сообщение arengorman » 15 авг 2018, 14:21

Там во втором спойлере я как раз попытался это сделать, он дальше жалуется на librest-0.7-0
Его не переустановить через --reinstall, а при попытке удаления он как зависимость тянет за собой пол системы на гиг пакетов предполагает удаление. Даже спрашивает не обычное yes/no, а "Yes, do what i say"

Аватара пользователя

Chocobo
Сообщения: 9268
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 645 раз
Поблагодарили: 2677 раз

Проблемы с интерфейсом после установки GNOME

Сообщение Chocobo » 15 авг 2018, 14:28

arengorman, Дай угадаю, не этот ппа случаем использовал?
https://launchpad.net/~gnome3-team/+arc ... 3-staging/
Изображение
   
Изображение


Автор темы
arengorman
Сообщения: 7
Зарегистрирован: 23 фев 2018, 15:59
Благодарил (а): 1 раз

Проблемы с интерфейсом после установки GNOME

Сообщение arengorman » 15 авг 2018, 15:03

Да, именно его, в первом посте есть как раз.Все плохо?

Аватара пользователя

zuzabrik
Сообщения: 1658
Зарегистрирован: 29 авг 2016, 09:08
Решено: 19
Благодарил (а): 106 раз
Поблагодарили: 513 раз

Проблемы с интерфейсом после установки GNOME

Сообщение zuzabrik » 16 авг 2018, 11:36

Обычно я советую создать нового пользователя и загрузившись в него посмотреть как работает Cinnamon. Скорее всего проблема просто в том что Гном напихал своих конфигов в домашнюю папку, а Циннамон создается на базе гнома и использует те же инструменты для оформления.

Если под новым пользователем все ок, надо колдовать со скрытыми папками в домашнем каталоге.
А мог бы стать нормальным человеком...

Аватара пользователя

rogoznik
Сообщения: 5800
Зарегистрирован: 27 июн 2017, 10:36
Решено: 62
Откуда: Нижний Тагил
Благодарил (а): 321 раз
Поблагодарили: 1065 раз

Проблемы с интерфейсом после установки GNOME

Сообщение rogoznik » 16 авг 2018, 11:38

Может не сработать, если гном засунул свои дефолтные конфиги в /etc/skel
ИзображениеИзображение


Автор темы
arengorman
Сообщения: 7
Зарегистрирован: 23 фев 2018, 15:59
Благодарил (а): 1 раз

Проблемы с интерфейсом после установки GNOME

Сообщение arengorman » 16 авг 2018, 19:48

zuzabrik писал(а):
16 авг 2018, 11:36
Обычно я советую создать нового пользователя и загрузившись в него посмотреть как работает Cinnamon. Скорее всего проблема просто в том что Гном напихал своих конфигов в домашнюю папку, а Циннамон создается на базе гнома и использует те же инструменты для оформления.

Если под новым пользователем все ок, надо колдовать со скрытыми папками в домашнем каталоге.
Выше мне это уже посоветовали, я сделал и проблема осталась. Дело не просто в конфигах. Мне кажется, проблема как раз в том, что пакеты поломались, оттого и глючит. А вот как их починить... :sad:

Аватара пользователя

StarMAUGLI
Сообщения: 1557
Зарегистрирован: 10 сен 2016, 07:16
Решено: 16
Откуда: Москва
Благодарил (а): 641 раз
Поблагодарили: 182 раза

Проблемы с интерфейсом после установки GNOME

Сообщение StarMAUGLI » 16 авг 2018, 21:41

arengorman писал(а):
16 авг 2018, 19:48
А вот как их починить...
С ключом force?

Вернуться в «Параметры и оптимизация»